Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class EquivalentNodeGroup

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.DiagramElement
                  biouml.model.Node
                      biouml.model.Compartment
                          biouml.model.EquivalentNodeGroup

All Implemented Interfaces:
  DataCollection, DataElement, MutableDataElement

public class EquivalentNodeGroup
extends Compartment

Group of equivalent nodes. In view mode they are represented by one node image, in design mode they look likes compartment.

Field Summary

Fields inherited from class biouml.model.Compartment
`collection, kernelMap, log, SHAPE_ELLIPSE, SHAPE_RECTANGLE, SHAPE_ROUND_RECTANGLE, shapeColor, shapeType`

Fields inherited from class biouml.model.Node
`background, edges, fixed, image, location, shapeSize`

Fields inherited from class biouml.model.DiagramElement
`comment, kernel, role, title, view`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`EquivalentNodeGroup(DataCollection parent, java.lang.String name)`

Method Summary
`Base[]` | `getKernels()` We would like to get access for kernels through the property to display it in property inspector.
`Node` | `getRepresentative()`

Methods inherited from class biouml.model.Compartment
`addDataCollectionListener, clone, close, contains, contains, contains, containsKernel, doClone, findNode, get, getCompleteName, getDataElementType, getInfo, getKernelNodes, getNameList, getShapeColor, getShapeType, getSize, init, isMutable, iterator, moveNodes, propagateElementChanged, propagateElementWillChange, put, release, remapEdge, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, setShapeColor, setShapeType`

Methods inherited from class biouml.model.Node
`addEdge, doClone, edgeIterator, findCommonOrigin, getBackground, getEdges, getImage, getLocation, getShapeSize, isBackgroundHidden, isFixed, isNotResizable, removeEdge, setBackground, setFixed, setImage, setLocation, setLocation, setRelativeLocation, setShapeSize`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataCollection
`isNotificationEnabled, isPropagationEnabled`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### EquivalentNodeGroup

    public EquivalentNodeGroup(DataCollection parent,
                               java.lang.String name)

Method Detail

### getKernels

    public Base[] getKernels()

  We would like to get access for kernels through the property to display it in property inspector.

### getRepresentative

    public Node getRepresentative()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.